# core.trainers.dpo.trainer – Axolotl

# core.trainers.dpo.trainer

`core.trainers.dpo.trainer`

DPO trainer for axolotl

## Classes

Name | Description
--- | ---
AxolotlDPOTrainer | Extend the base DPOTrainer for axolotl helpers.

### AxolotlDPOTrainer

    core.trainers.dpo.trainer.AxolotlDPOTrainer(*args, dataset_tags=None, **kwargs)

Extend the base DPOTrainer for axolotl helpers.

#### Methods

Name | Description
--- | ---
push_to_hub | Overwrite the `push_to_hub` method in order to force-add the tags when pushing

##### push_to_hub

    core.trainers.dpo.trainer.AxolotlDPOTrainer.push_to_hub(*args, **kwargs)

Overwrite the `push_to_hub` method in order to force-add the tags when pushing the model on the Hub. Please refer to `~transformers.Trainer.push_to_hub` for more details.